# coding=utf-8
# Подключаем библиотеки Python
import sys, pygame
import time
import RPi.GPIO as io
io.setmode(io.BCM)

# Выполняем назначение выводов
button_pin = 25

# Настроить button_pin на вход
io.setup(button_pin, io.IN)

pygame.init( )

# Установить параметры холста
size = width, height = 500, 500
speed = [100, 100]
white = 255,255,255

# Показать заголовок холста
pygame.display.set_caption("Bouncing Ball")

screen = pygame.display.set_mode(size)
ball = pygame.image.load("beachball2.png")
ballrect = ball.get_rect()

while 1:
    for event in pygame.event.get():
        if event.type == pygame.QUIT: sys.exit()
    if io.input(button_pin): # Если кнопка нажата, то перемещать мяч
       ballrect = ballrect.move(speed)
    if ballrect.left < 0 or ballrect.right > width:  # Перемещать мяч вверх
        speed[0] = -speed[0] 
    if ballrect.top < 0 or ballrect.bottom > height: # Перемещать мяч вниз
        speed[1] = -speed[1]

    screen.fill(white) # Установить фон холста
    screen.blit(ball, ballrect)
    pygame.display.flip()
    time.sleep(0.1)    # Ждать 100мс до следующего нажатия кнопки